<?php


$im = new Imagick();

// Create new image with properties
$im->newImage(1000, 1000, '#FF0000');

// Write texts on it
$text_draw = new ImagickDraw();
$text_draw->setFont('path/to/font');
$text_draw->setFontSize(150);
$text_draw->setStrokeColor('#fff');
$text_draw->setFillColor('#C0C0C0');

$im->setImageFormat("png");
$im->writeImage('path/to/save/filename.png');
$img->destroy();

?>